var qx = require("xlsys-qx");

qx.Interface.define("xlsys.base.Base",
{
	statics : 
	{
		TASK_TYPE_REQUEST : 1,
		TASK_TYPE_BACKGROUND : 2,
		TASK_PARAM_COMMAND : "_TASK_PARAM_COMMAND",
		TASK_PARAM_SESSION : "_TASK_PARAM_SESSION",
		TASK_PARAM_IN_OBJECT : "_TASK_PARAM_IN_OBJECT",
		TASK_PARAM_OUT_OBJECT : "_TASK_PARAM_OUT_OBJECT",
		
		ENV_REQUEST_TIME_OUT : "xlsys.base.requestTimeout",
		
		RESPONSE_PERMISSION_DENIED : "_RESPONSE_PERMISSION_DENIED",
		RESPONSE_WHOLE_SESSION : "_RESPONSE_WHOLE_SESSION",
		
		COMMAND_GET_ALL_DB_ID : "_BASE_GET_ALL_DB_ID",
		COMMAND_GET_ALL_ENV_ID : "_BASE_GET_ALL_ENV_ID",
		
		COMMAND_GET_NEXT_VALUE : "_BASE_GET_NEXT_VALUE",
		COMMAND_ALLOC_ID : "_BASE_ALLOC_ID",
		COMMAND_GET_LOCK : "_BASE_GET_LOCK",
		COMMAND_TRY_LOCK : "_BASE_TRY_LOCK",
		COMMAND_RELEASE_LOCK : "_BASE_RELEASE_LOCK",
		
		COMMAND_UPDATE_BUFFER_VERSION : "_BASE_UPDATE_BUFFER_VERSION",
		COMMAND_GET_BUFFER_VERSION : "_BASE_GET_BUFFER_VERSION",
		COMMAND_REFRESH_BUFFER : "_BASE_REFRESH_BUFFER",
		COMMAND_GET_ALL_BUFFER_NAME : "_BASE_GET_ALL_BUFFER_NAME",
		COMMAND_GET_LOCAL_BUFFER_VERSION : "_BASE_GET_LOCAL_BUFFER_VERSION",
		COMMAND_FORCE_RELOAD_BUFFER : "_BASE_FORCE_RELOAD_BUFFER",
		
		COMMAND_GET_FILE_URL : "_BASE_GET_FILE_URL",
		COMMAND_UPLOAD_FILE : "_BASE_UPLOAD_FILE",
		COMMAND_DOWNLOAD_FILE : "_BASE_DOWNLOAD_FILE",
		
		COMMAND_EXPORT_DATA : "_BASE_EXPORT_DATA",
		COMMAND_EXPORT_DATA_PROGRESS : "_BASE_EXPORT_DATA_PROGRESS",
		COMMAND_DB_BACKUP : "_BASE_DB_BACKUP",
		COMMAND_IMPORT_DATA : "_BASE_IMPORT_DATA",
		COMMAND_IMPORT_DATA_PROGRESS : "_BASE_IMPORT_DATA_PROGRESS",
		
		COMMAND_GET_TABLE_INFO : "_BASE_GET_TABLE_INFO",
		COMMAND_GET_ALL_TABLE_BASE_INFO : "_BASE_GET_ALL_TABLE_BASE_INFO",
		COMMAND_GET_RESULT_COUNT : "_BASE_GET_RESULT_COUNT",
		COMMAND_SQL_SELECT : "_BASE_SQL_SELECT",
		COMMAND_SQL_SELECT_AS_ONE_VALUE : "_BASE_SQL_SELECT_AS_ONE_VALUE",
		COMMAND_SQL_EXECUTE : "_BASE_SQL_EXECUTE",
		COMMAND_GET_SPLITED_PARAM_BEAN : "_BASE_GET_SPLITED_PARAM_BEAN",
		COMMAND_DBFUNC_LOWER : "_BASE_DBFUNC_LOWER",
		COMMAND_DBFUNC_UPPER : "_BASE_DBFUNC_UPPER",
		COMMAND_DBFUNC_BYTELENGTH : "_BASE_DBFUNC_BYTELENGTH",
		COMMAND_DBFUNC_SUBSTRING : "_BASE_DBFUNC_SUBSTRING",
		COMMAND_DBFUNC_TODATE : "_BASE_DBFUNC_TODATE",
		COMMAND_DBFUNC_DATEFORMAT : "_BASE_DBFUNC_DATEFORMAT",
		COMMAND_DISABLE_CONSTRAINT : "_BASE_DISABLE_CONSTRAINT",
		COMMAND_ENABLE_CONSTRAINT : "_BASE_ENABLE_CONSTRAINT",
		
		BUFFER_IDALLOC : "_BUFFER_IDALLOC",
		
		CODELIKE_COMMON : "________________",
		
		UPLOAD_PARAM_ATTACHMENT : "_UPLOAD_PARAM_ATTACHMENT",
		UPLOAD_PARAM_ATTACHMENT_DATA : "_UPLOAD_PARAM_ATTACHMENT_DATA",
		DOWNLOAD_PARAM_URL : "_DOWNLOAD_PARAM_URL",
		DOWNLOAD_PARAM_FILE_NAME : "_DOWNLOAD_PARAM_FILE_NAME",
		
		RESOURCE_PRELOAD_DIR : "preload-resource"
	}
});