import "./HttpClientTransfer";
import "../../../core/util/IOUtil";
var qx = require("xlsys-qx");

qx.Class.define("xlsys.base.io.net.WebClientTransfer",
{
	extend : xlsys.base.io.net.HttpClientTransfer,

	construct : function()
	{
		this.base(arguments);
	},

	members : 
	{
		asynPost : function(inObj, callback)
		{
			var postData = encodeURIComponent(xlsys.core.util.IOUtil.getCommonJSONFromObj(inObj));
			var xmlhttp = new XMLHttpRequest();
			var isTimeout = false;
			xmlhttp.open("POST", this._url, true);
			xmlhttp.setRequestHeader("Content-type","text/plain");
			if(this.getTimeout()>0)
			{
				setTimeout(()=>{
					isTimeout = true;
					xmlhttp.abort();
					callback(new Error("Request Timeout"));
				}, this.getTimeout());
			}
			xmlhttp.onreadystatechange = ()=>{
				if(!isTimeout && xmlhttp.readyState==4 && xmlhttp.status==200)
				{
					callback(xlsys.core.util.IOUtil.getObjFromCommonJSON(xmlhttp.responseText));
				}
			};
			xmlhttp.send(postData);
		}
	}
});