import "./IDataSet";
var qx = require("xlsys-qx");

/**
 * 可存储数据集接口
 */
qx.Interface.define("xlsys.core.dataset.IStorableDataSet",
{
	extend : [xlsys.core.dataset.IDataSet],
	
	members :
	{
		open : async function() {},
		
		save : async function() {},
		
		isChanged : function() {},

		setChanged : function(changed) {this.assertArgumentsCount(arguments, 1, 1);},
		
		setLockChange : function(lockChange) {this.assertArgumentsCount(arguments, 1, 1);},
		
		isLockChange : function() {},

		addNoneedSaveCol : function(colName) {this.assertArgumentsCount(arguments, 1, 1);},
		
		getNoneedSaveCols : function() {},
		
		hasToBeDeleteRow : function() {},
		
		getToBeDeleteRows : function() {},
		
		setSaveTransaction : function(saveTransaction) {this.assertArgumentsCount(arguments, 1, 1);},
		
		isSaveTransaction : function() {}
	}
});