import "./IDataSet";
var qx = require("xlsys-qx");

qx.Interface.define("xlsys.core.dataset.IVirtualizableDataSet",
{
	extend : [xlsys.core.dataset.IDataSet],
	
	members :
	{
		setRowCount : function(rowCount) {this.assertArgumentsCount(arguments, 1, 1);},
		
		getExpandPerCount : function() {},

		setExpandPerCount : function(expandPerCount) {this.assertArgumentsCount(arguments, 1, 1);},
		
		getPageRangeOfRowAt : function(wantRowAt) {this.assertArgumentsCount(arguments, 1, 1);},
		
		expandToRow : async function(wantRowAt) {this.assertArgumentsCount(arguments, 1, 1);},
		
		expandAllRows : async function() {},
		
		/**
		 * isVirtualRow(row);
		 * isVirtualRow(rowAt);
		 */
		isVirtualRow : function(rowOrRowAt) {this.assertArgumentsCount(arguments, 1, 1);}
	}
});