var qx = require("xlsys-qx");

qx.Interface.define("xlsys.core.env.IEnvironment",
{
	members : 
	{
		/**
		 * getString(key)
		 * getString(key, defaultValue)
		 */
		getString : function(key) {this.assertArgumentsCount(arguments, 1, 2);},
		
		setString : function(key, value) {this.assertArgumentsCount(arguments, 2, 2);},
		
		getEnvironment : function(key) {this.assertArgumentsCount(arguments, 1, 1);},
		
		setEnvironment : function(key, value) {this.assertArgumentsCount(arguments, 2, 2);},
		
		containsKey : function(key) {this.assertArgumentsCount(arguments, 1, 1);},
		
		getValueClass : function(key) {this.assertArgumentsCount(arguments, 1, 1);},
		
		getEnvironments : function(key) {this.assertArgumentsCount(arguments, 1, 1);},
		
		setEnvironments : function(key, environments) {this.assertArgumentsCount(arguments, 2, 2);},
		
		remove : function(key) {this.assertArgumentsCount(arguments, 1, 1);},
		
		keySet : function() {},
		
		addAll : function(another) {this.assertArgumentsCount(arguments, 1, 1);}
	}
});
