var qx = require("xlsys-qx");

qx.Interface.define("xlsys.core.log.ILog",
{
	statics : 
	{
		LOG_LEVEL_DEBUG : 50,
		LOG_LEVEL_INFO : 40,
		LOG_LEVEL_WARN : 30,
		LOG_LEVEL_ERROR : 20,
		LOG_LEVEL_FATAL : 10,
		LOG_LEVEL_NONE : 0
	},
	
	members:
	{
		/**
		 * print(level, content);
		 * print(content);
		 */
		print : function() {this.assertArgumentsCount(arguments, 1, 2);},
		
		printDebug : function(content) {this.assertArgumentsCount(arguments, 1, 1);},
		
		printInfo : function(content) {this.assertArgumentsCount(arguments, 1, 1);},
		
		printWarn : function(content) {this.assertArgumentsCount(arguments, 1, 1);},
		
		printError : function(content) {this.assertArgumentsCount(arguments, 1, 1);},
		
		printFatal : function(content) {this.assertArgumentsCount(arguments, 1, 1);},
		
		/**
		 * println(level, content);
		 * println(content);
		 */
		println : function() {this.assertArgumentsCount(arguments, 1, 2);},
		
		printlnDebug : function(content) {this.assertArgumentsCount(arguments, 1, 1);},
		
		printlnInfo : function(content) {this.assertArgumentsCount(arguments, 1, 1);},
		
		printlnWarn : function(content) {this.assertArgumentsCount(arguments, 1, 1);},
		
		printlnError : function(content) {this.assertArgumentsCount(arguments, 1, 1);},
		
		printlnFatal : function(content) {this.assertArgumentsCount(arguments, 1, 1);},

		setLogLevel : function(logLevel) {this.assertArgumentsCount(arguments, 1, 1);},

		getLogLevel : function() {},
		
		close : function() {}
	}
});