var qx = require("xlsys-qx");

/**
 * Session接口
 */
qx.Interface.define("xlsys.core.session.ISession",
{
	members:
	{
		setSessionId : function(sessionId) {this.assertArgumentsCount(arguments, 1, 1);},

		getSessionId : function() {},

		getSessionType : function() {},

		setSessionType : function(sessionType) {this.assertArgumentsCount(arguments, 1, 1);},

		getEnvKeySet : function() {},
		
		getTempEnv : function() {},
		
		getChangedEnvKeys : function() {},
		
		setAttribute : function(key, value) {this.assertArgumentsCount(arguments, 2, 2);},
		
		getAttribute : function(key) {this.assertArgumentsCount(arguments, 1, 1);},
		
		setTempAttribute : function(key, value) {this.assertArgumentsCount(arguments, 2, 2);},
		
		getTempAttribute : function(key) {this.assertArgumentsCount(arguments, 1, 1);}
	}
});