import "../../../core/event/AbstractEvent";
var qx = require("xlsys-qx");

/**
 * 流程事件
 */
qx.Class.define("xlsys.business.core.event.FlowEvent",
{
	extend : xlsys.core.event.AbstractEvent,
	
	construct: function(flowId)
	{
		if(arguments.length>1) this.base(arguments, flowId, arguments[1]);
		else this.base(arguments, flowId);
	},
	
	members : 
	{
		flowId : null,
		fromCondition : null,
		toCondition : null,
		dataBase : null,
		innerCode : null,
		newInnerCode : null,
		fromUser : null,
		auditType : null,
		voteRate : null,
		passType : null,
		submitToUsers : null,
		beReplaceUser : null,
		selectedUsers : null,
		rejectType : null,
		canRejectTo : null,
		rejectToCondition : null,
		rtfDescMap : null,
		rtfRet : null,
		session : null,
		retObj : null,
		
		getFlowId : function()
		{
			return this.flowId;
		},
		
		getSerializableMembers : function()
		{
			var arr = this.base(arguments);
			arr.push("flowId");
			arr.push("fromCondition");
			arr.push("toCondition");
			arr.push("innerCode");
			arr.push("newInnerCode");
			arr.push("fromUser");
			arr.push("auditType");
			arr.push("voteRate");
			arr.push("passType");
			arr.push("submitToUsers");
			arr.push("beReplaceUser");
			arr.push("selectedUsers");
			arr.push("rejectType");
			arr.push("canRejectTo");
			arr.push("rejectToCondition");
			arr.push("rtfDescMap");
			arr.push("rtfRet");
			arr.push("retObj");
			return arr;
		}
	}
});