var qx = require("xlsys-qx");

/**
 * 此接口中的所有方法都必须返回Promise
 */
qx.Interface.define("xlsys.core.buffer.IBuffer",
{
	members : 
	{
		getStorageObject : async function(envId, bufferName) {this.assertArgumentsCount(arguments, 2, 2);},
		
		isBufferComplete : async function(envId, bufferName) {this.assertArgumentsCount(arguments, 2, 2);},
		
		reloadDataDirectly : async function(envId, bufferName, paramMap, forceLoad) {this.assertArgumentsCount(arguments, 4, 4);},
		
		loadDataFromStorageObject : async function(envId, bufferName, storageObj) {this.assertArgumentsCount(arguments, 3, 3);},

		getBufferData : async function(envId, bufferName, paramMap) {this.assertArgumentsCount(arguments, 3, 3);},
		
		updateCurrentVersion : async function(envId, bufferName) {this.assertArgumentsCount(arguments, 2, 2);},
		
		getCurrentVersion : async function(envId, bufferName) {this.assertArgumentsCount(arguments, 2, 2);},
		
		saveDataToLocalStorage : async function(envId, bufferName, storageObject) {this.assertArgumentsCount(arguments, 3, 3);},
		
		reloadAllData : async function(envId, bufferName, forceLoad) {this.assertArgumentsCount(arguments, 3, 3);},
		
		reloadData : async function(envId, bufferName, paramMap, forceLoad) {this.assertArgumentsCount(arguments, 4, 4);},
		
		reloadDataFromLocalStorage : async function(envId, bufferName) {this.assertArgumentsCount(arguments, 2, 2);},
		
		getLocalStorageVersion : async function(envId, bufferName) {this.assertArgumentsCount(arguments, 2, 2);}
	}
});
