import "./DataSetColumn";
var qx = require("xlsys-qx");

qx.Class.define("xlsys.core.dataset.StorableDataSetColumn",
{
	extend : xlsys.core.dataset.DataSetColumn,
	
	construct: function()
	{
		this.base(arguments);
	},
	
	members :
	{
		sqlType : null,
		dbColumnType : null,
		primaryKey : null,
		
		getSerializableMembers : function()
		{
			var arr = this.base(arguments);
			arr.push("sqlType");
			arr.push("dbColumnType");
			arr.push("primaryKey");
			return arr;
		},
		
		getSqlType : function()
		{
			return this.sqlType;
		},
		
		setSqlType : function(sqlType)
		{
			this.sqlType = sqlType;
		},
		
		getDbColumnType : function()
		{
			return this.dbColumnType;
		},

		setDbColumnType : function(dbColumnType)
		{
			this.dbColumnType = dbColumnType;
		},

		isPrimaryKey : function()
		{
			return this.primaryKey;
		},
		
		setPrimaryKey : function(primaryKey)
		{
			this.primaryKey = primaryKey;
		}
	}
});