import "./ITask";
import "../../java/io/Serializable";
import "../../java/util/HashMap";
var qx = require("xlsys-qx");

qx.Class.define("xlsys.core.service.Task",
{
	extend : xlsys.java.io.Serializable,
	implement : [xlsys.core.service.ITask],

	construct : function(taskType)
	{
		this.taskType = taskType;
		this.paramMap = new xlsys.java.util.HashMap();
	},
	
	members : 
	{
		taskType : null,
		paramMap : null,
		
		getSerializableMembers : function()
		{
			var arr = new Array();
			arr.push("taskType");
			arr.push("paramMap");
			return arr;
		},
		
		getTaskType : function()
		{
			return this.taskType;
		},

		getTaskParams : function()
		{
			return this.paramMap;
		}
	}
});
